{% extends "admin/change_form.html" %}
{% load static %}

{% block admin_change_form_document_ready %}
	{{ block.super }}
{% endblock %}

{% block extrahead %}
	{{ block.super }}
	<script type="text/javascript">
	django.jQuery(document).on('formset:added', function(event) {
		let selectorId = "id_" + event.target.id + "-interface_type";
		addSchemaEditor(selectorId);

		// Update order field value when adding new TabularInline formset
		updateOrder()
	});

	django.jQuery(document).on('formset:removed', function(event, $row, formsetName) {
		// Update order field value when removing new TabularInline formset
		updateOrder()
	});

	// Attach events to existing records
	document.addEventListener('DOMContentLoaded', function() {
		document.querySelectorAll(".add-schema-editor").forEach(elem => {
			addSchemaEditor(elem.id);
		});

		// Enable drag and drop functionality in TabularInline if set
		const draggableElem = document.querySelector(".drag-n-drop-enabled");
		if (draggableElem) {
			const tbody = draggableElem.closest('tbody');
			// This is the TabularInline formset
			if (tbody && tbody.nodeName === 'TBODY') {
			  tabularInlineDragAndDrop(tbody)
			}
		}

	});

	</script>

	<style>
	.drag-n-drop-enabled {
		cursor: move;
	}
    /* Required to remove "Object properties" button from the schema-editor form. */
    .card-title,
    .je-object__controls {
      display: none !important;
    }

    /* Required to avoid django-form css to change the schema-editor form style. */
    .form-group > label::after {
      content: none !important;
    }
    </style>
{% endblock %}
